apiVersion: apps/v1
kind: Deployment
metadata:
  name: generator-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: generator
  template:
    metadata:
      name: generator-pod
      labels:
        app: generator
    spec:
      containers:
      - name: generator-container
        image: gitlab-student.centralesupelec.fr:4567/melina.benahmed/tweetoscope/generator
        imagePullPolicy: Always
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: collector-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: collector
  template:
    metadata:
      name: collector-pod
      labels:
        app: collector
    spec:
      containers:
      - name: collector-container
        image: gitlab-student.centralesupelec.fr:4567/melina.benahmed/tweetoscope/collector
        imagePullPolicy: Always
---
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: estimator-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: estimator
  template:
    metadata:
      name: estimator-pod
      labels:
        app: estimator
    spec:
      containers:
      - name: estimator-container
        image: gitlab-student.centralesupelec.fr:4567/melina.benahmed/tweetoscope/estimator
        imagePullPolicy: Always
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: learner-deployment
spec:
  replicas: 1 
  selector:
    matchLabels:
      app: learner
  template:
    metadata:
      name: learner-pod
      labels:
        app: learner
    spec:
      containers:
      - name: learner-container
        image: gitlab-student.centralesupelec.fr:4567/melina.benahmed/tweetoscope/learner
        imagePullPolicy: Always
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: predictor-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      app: predictor
  template:
    metadata:
      name: predictor-pod
      labels:
        app: predictor
    spec:
      containers:
      - name: predictor-container
        image: gitlab-student.centralesupelec.fr:4567/melina.benahmed/tweetoscope/predictor
        imagePullPolicy: Always
        volumeMounts:
        - name: predictor-vol-300
          mountPath: /tmp
      volumes:
      - name: predictor-vol-300
        hostPath:
          path: /tmp/predictorVol
          type: DirectoryOrCreate

